curl --request POST \
--url https://sandbox.tight.com/v6/accounting/manualJournalEntries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"id": "mje_12345",
"status": "ACTIVE",
"description": "Monthly accrual adjustment",
"recurrence": {
"updateType": "FUTURE_ONLY",
"frequency": "MONTHLY",
"interval": 1,
"endDate": "2025-12-31"
},
"apiName": "MANUAL_ENTRY",
"apiSourceId": "ext_abc123",
"children": [
{
"glAccountId": "gla_38560327",
"crAmount": 5000,
"drAmount": 0
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
]
}
'{
"result": "SUCCESS",
"data": [
{
"result": "SUCCESS",
"statusCode": 200,
"data": {
"id": "mje_12345",
"status": "ACTIVE",
"date": "2026-01-15",
"description": "Monthly accrual adjustment",
"amount": 50000,
"recurrence": {
"frequency": "MONTHLY",
"interval": 1,
"endDate": "2025-12-31"
},
"apiName": "MANUAL_ENTRY",
"apiSourceId": "ext_abc123",
"children": [
{
"glAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png"
},
"amount": 5000,
"crAmount": 5000,
"drAmount": 0
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "<string>",
"param": "<string>"
}
]
}Save new (or update existing) manual journal entries
curl --request POST \
--url https://sandbox.tight.com/v6/accounting/manualJournalEntries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"id": "mje_12345",
"status": "ACTIVE",
"description": "Monthly accrual adjustment",
"recurrence": {
"updateType": "FUTURE_ONLY",
"frequency": "MONTHLY",
"interval": 1,
"endDate": "2025-12-31"
},
"apiName": "MANUAL_ENTRY",
"apiSourceId": "ext_abc123",
"children": [
{
"glAccountId": "gla_38560327",
"crAmount": 5000,
"drAmount": 0
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
]
}
'{
"result": "SUCCESS",
"data": [
{
"result": "SUCCESS",
"statusCode": 200,
"data": {
"id": "mje_12345",
"status": "ACTIVE",
"date": "2026-01-15",
"description": "Monthly accrual adjustment",
"amount": 50000,
"recurrence": {
"frequency": "MONTHLY",
"interval": 1,
"endDate": "2025-12-31"
},
"apiName": "MANUAL_ENTRY",
"apiSourceId": "ext_abc123",
"children": [
{
"glAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png"
},
"amount": 5000,
"crAmount": 5000,
"drAmount": 0
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "<string>",
"param": "<string>"
}
]
}Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Show child attributes